private void AddSupportAssembly(SupportAssembly supportAssembly, Orientation orientation) { if (orientation == Orientation.Ceiling) { AddLines(supportAssembly.hangerA, "HANGER"); AddLines(supportAssembly.hangerB, "HANGER"); AddLines(supportAssembly.connection, "CONNECTION"); //AddLines(supportAssembly.cornerStub, "HANG CORNER STUB"); } else { AddLines(supportAssembly.hangerA, "WALL CANTILEVER BEAM"); AddLines(supportAssembly.hangerB, "WALL CANTILEVER BEAM"); AddLines(supportAssembly.connection, "CONNECTION"); AddLines(supportAssembly.brace, "WALL DIAGONAL"); //AddLines(supportAssembly.cornerStub, "WALL CORNER STUB"); } }
public CaveElement(Mesh imesh, Plane bayPlane, Orientation iorientation, Parameters iparameters) { parameters = iparameters; orientation = iorientation; mesh = imesh; BayXY = bayPlane; if (mesh == null) { return; } orientedBox = CaveTools.FindOrientedBox(bayPlane, imesh, parameters.yCell); //RhinoDoc.ActiveDoc.Objects.AddBrep(orientedBox.BoundingBox); orientationPlane = orientedBox.PlaneSelection(orientation); //OrientedBox.CheckPlane(orientationPlane); supportAssembly = new SupportAssembly(parameters, orientation, orientationPlane); MeshToPanels(); }